import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
   {
    title: '邮箱',
    align:"center",
    dataIndex: 'account'
   },
   {
    title: '密码',
    align:"center",
    dataIndex: 'password'
   },
   {
    title: '小二账号id',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '关联站点',
    align:"center",
    dataIndex: 'siteIds_dictText'
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '创建日期',
    align:"center",
    dataIndex: 'createTime'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '邮箱',
    field: 'account',
    component: 'Input',
  },
  {
    label: '密码',
    field: 'password',
    component: 'Input',
  },
  {
    label: '关联站点',
    field: 'siteIds',
    component: 'JSelectMultiple',
    componentProps:{
        dictCode:"okki_site,company_name,site_id"
     },
  },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];

// 高级查询数据
export const superQuerySchema = {
  account: {title: '邮箱',order: 0,view: 'text', type: 'string',},
  password: {title: '密码',order: 1,view: 'text', type: 'string',},
  userId: {title: '小二账号id',order: 2,view: 'number', type: 'number',},
  siteIds: {title: '关联站点',order: 3,view: 'list_multi', type: 'string',dictTable: "okki_site", dictCode: 'site_id', dictText: 'company_name',},
  status: {title: '状态',order: 4,view: 'number', type: 'number',},
  createTime: {title: '创建日期',order: 5,view: 'datetime', type: 'string',},
};

/**
* 流程表单调用这个方法获取formSchema
* @param param
*/
export function getBpmFormSchema(_formData): FormSchema[]{
  // 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}